Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.opstring
Class ParsedService

    java.lang.Object
      org.jini.rio.opstring.GlobalAttrs
          org.jini.rio.opstring.ParsedService

    public class ParsedService

extends GlobalAttrs

A ParsedService represents the descriptive attributes of a service that has been parsed.

Field Summary

Fields inherited from class org.jini.rio.opstring.GlobalAttrs
`associations, autoAdvertise, cluster, codebase, configParms, groupList, initParms, locatorList, logConfigs, organization, provisionConfig`

Constructor Summary
`ParsedService()` Create a ParsedService
`ParsedService(String name)` Create a ParsedService with a descriptive name
`ParsedService(String name, GlobalAttrs global)` Create a ParsedService with a descriptive name

Method Summary
`String` | `getComment()` Get the comment
`ClassBundle` | `getComponentBundle()` Get the Component as ClassBundle object containing the className and resources required to load the component
`boolean` | `getDiscoveryManagementPooling()` Get discoPool
`ClassBundle[]` | `getInterfaceBundles()` Get the Interfaces as ClassBundle object containing the className and resources required to load each class
`String` | `getJMXName()` Get the name to use for JMX ObjectName
`int` | `getMachineBoundary()` Get the machine boundary value
`String` | `getMaintain()` Get the maintain value
`String` | `getMatchOnName()` Get whether the provisioning system whould match on the service's name as well as it's interfaces
`String` | `getMaxPerMachine()` Get the maxPerMachine value
`String` | `getName()` Get the name that the ParsedService has been constructed with
`String` | `getOperationalStringName()` Get the OperationalString name
`int` | `getProvisionType()` Set the provisioning type of the service
`void` | `setComment(String comment)` Set the comment
`void` | `setComponentBundle(ClassBundle bundle)` Set the Component as ClassBundle object containing the className and resources required to load the component
`void` | `setDiscoveryManagementPooling(String value)` Set discoPool
`void` | `setInterfaceBundles(ClassBundle[] bundles)` Set the Interfaces as ClassBundle object containing the className and resources required to load each class
`void` | `setJMXName(String name)` Set the name to use for JMX ObjectName
`void` | `setMachineBoundary(String machineBoundary)` Set the machine boundary value
`void` | `setMaintain(String maintain)` Set the maintain value
`void` | `setMatchOnName(String value)` Set whether the provisioning system should match on the service's name as well as it's interfaces
`void` | `setMaxPerMachine(String maxPerMachine)` Set the maxPerMachine value
`void` | `setName(String name)` Set the name for the ParsedService
`void` | `setOperationalStringName(String opStringName)` Set the OperationalString name
`void` | `setProvisionType(String value)` Set the provisioning type of the service
`String` | `toString()` Provide a String output

Methods inherited from class org.jini.rio.opstring.GlobalAttrs
`addAssociationDescriptor, getAdaptiveCodebase, getAssociationDescriptors, getAutoAdvertise, getCluster, getCodebase, getConfigParameters, getFaultDetectionHandlerBundle, getGroups, getLocators, getLogConfigs, getOrganization, getParameters, getRawConfigParameters, getServiceLevelAgreements, getServiceProvisionConfig, setAutoAdvertise, setCluster, setCodebase, setConfigParameters, setFaultDetectionHandlerBundle, setGroups, setLocators, setLogConfigs, setOrganization, setParameters, setServiceLevelAgreements, setServiceProvisionConfig, useAdaptiveCodebase, useAdaptiveCodebase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParsedService

    public ParsedService()

  Create a ParsedService

### ParsedService

    public ParsedService(String name)

  Create a ParsedService with a descriptive name

  Parameters:
    `name` - The name of the service

### ParsedService

    public ParsedService(String name,
                         GlobalAttrs global)

  Create a ParsedService with a descriptive name

  Parameters:
    `name` - The name of the service
    `global` - GlobalAttrs containing attributes that should be applied to the ParsedService.

Method Detail

### setDiscoveryManagementPooling

    public void setDiscoveryManagementPooling(String value)

  Set discoPool

  Parameters:
    `value` - String value for discoPool. If "yes" then true, otherwise false

### getDiscoveryManagementPooling

    public boolean getDiscoveryManagementPooling()

  Get discoPool

  Returns:
    discoPool

### setName

    public void setName(String name)

  Set the name for the ParsedService

  Parameters:
    `name` - The name of the service

### getName

    public String getName()

  Get the name that the ParsedService has been constructed with

  Returns:
    The name of the service

### setJMXName

    public void setJMXName(String name)

  Set the name to use for JMX ObjectName

  Parameters:
    `name` - The name to use for JMX ObjectName

### getJMXName

    public String getJMXName()

  Get the name to use for JMX ObjectName

  Returns:
    The name to use for JMX ObjectName

### setComment

    public void setComment(String comment)

  Set the comment

  Parameters:
    `comment` - The comment for the service

### getComment

    public String getComment()

  Get the comment

  Returns:
    The comment for the service

### setOperationalStringName

    public void setOperationalStringName(String opStringName)

  Set the OperationalString name

  Parameters:
    `opStringName` - The OperationalString name the service belongs to

### getOperationalStringName

    public String getOperationalStringName()

  Get the OperationalString name

  Returns:
    The OperationalString name the service belongs to

### setInterfaceBundles

    public void setInterfaceBundles(ClassBundle[] bundles)

  Set the Interfaces as ClassBundle object containing the className and resources required to load each class

  Parameters:
    `bundles` - Array of ClassBundle objects

### getInterfaceBundles

    public ClassBundle[] getInterfaceBundles()

  Get the Interfaces as ClassBundle object containing the className and resources required to load each class

  Returns:
    Array of ClassBundle objects

### setComponentBundle

    public void setComponentBundle(ClassBundle bundle)

  Set the Component as ClassBundle object containing the className and resources required to load the component

  Parameters:
    `bundle` - ClassBundle for the component

### getComponentBundle

    public ClassBundle getComponentBundle()

  Get the Component as ClassBundle object containing the className and resources required to load the component

  Returns:
    ClassBundle for the component

### setMaintain

    public void setMaintain(String maintain)

  Set the maintain value

  Parameters:
    `maintain` - The number of service instances to maintain

### getMaintain

    public String getMaintain()

  Get the maintain value

  Returns:
    The number of services to maintain. If not set this value will be null

### setMaxPerMachine

    public void setMaxPerMachine(String maxPerMachine)

  Set the maxPerMachine value

  Parameters:
    `maxPerMachine` - The maximum number of service instances per machine

### getMaxPerMachine

    public String getMaxPerMachine()

  Get the maxPerMachine value

  Returns:
    The maximum number of service instances per machine. If the maxPerMachine value is 0, then return -1

### setMachineBoundary

    public void setMachineBoundary(String machineBoundary)

  Set the machine boundary value

  Parameters:
    `machineBoundary` - The boundary, physical or virtual

### getMachineBoundary

    public int getMachineBoundary()

  Get the machine boundary value

  Returns:
    The machine boundary

### setMatchOnName

    public void setMatchOnName(String value)

  Set whether the provisioning system should match on the service's name as well as it's interfaces

  Parameters:
    `value` - If "yes", then true, otherwise false

### getMatchOnName

    public String getMatchOnName()

  Get whether the provisioning system whould match on the service's name as well as it's interfaces

  Returns:
    If true then match on name as well as interfaces, othwerwise just match on interfaces

### setProvisionType

    public void setProvisionType(String value)

  Set the provisioning type of the service

  Parameters:
    `value` - If the value is "dynamic", then the type maps to ServiceElement.DYNAMIC, otherwise ServiceElement.FIXED

### getProvisionType

    public int getProvisionType()

  Set the provisioning type of the service

  Returns:
    Either ServiceElement.DYNAMIC, ServiceElement.FIXED or ServiceElement.EXTERNAL

### toString

    public String toString()

  Provide a String output

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.